You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@beam.apache.org by tg...@apache.org on 2017/05/22 20:11:15 UTC

[1/2] beam git commit: This closes #3196

Repository: beam
Updated Branches:
  refs/heads/master 996782b62 -> fff82b003


This closes #3196


Project: http://git-wip-us.apache.org/repos/asf/beam/repo
Commit: http://git-wip-us.apache.org/repos/asf/beam/commit/fff82b00
Tree: http://git-wip-us.apache.org/repos/asf/beam/tree/fff82b00
Diff: http://git-wip-us.apache.org/repos/asf/beam/diff/fff82b00

Branch: refs/heads/master
Commit: fff82b003879fc4b914b88ddff0582b50b3513a5
Parents: 996782b 43e2910
Author: Thomas Groh <tg...@google.com>
Authored: Mon May 22 13:11:03 2017 -0700
Committer: Thomas Groh <tg...@google.com>
Committed: Mon May 22 13:11:03 2017 -0700

----------------------------------------------------------------------
 .../cassandra/LargeITCluster/setup.sh           | 21 ++++++++++++++++++
 .../cassandra/LargeITCluster/start-up.sh        | 22 -------------------
 .../cassandra/LargeITCluster/teardown.sh        |  1 -
 .../cassandra/SmallITCluster/setup.sh           | 22 +++++++++++++++++++
 .../cassandra/SmallITCluster/start-up.sh        | 23 --------------------
 .../cassandra/SmallITCluster/teardown.sh        |  1 -
 .../LargeProductionCluster/setup.sh             | 21 ++++++++++++++++++
 .../LargeProductionCluster/start-up.sh          | 22 -------------------
 .../LargeProductionCluster/teardown.sh          |  1 -
 .../elasticsearch/SmallITCluster/setup.sh       | 22 +++++++++++++++++++
 .../elasticsearch/SmallITCluster/start-up.sh    | 23 --------------------
 .../elasticsearch/SmallITCluster/teardown.sh    |  1 -
 12 files changed, 86 insertions(+), 94 deletions(-)
----------------------------------------------------------------------



[2/2] beam git commit: Cleanup k8s scripts naming & don't create insecure svc by default

Posted by tg...@apache.org.
Cleanup k8s scripts naming & don't create insecure svc by default

These scripts setup a internet-accessible service by default, which is
insecure since we rely on firewalls for securing the data stores.


Project: http://git-wip-us.apache.org/repos/asf/beam/repo
Commit: http://git-wip-us.apache.org/repos/asf/beam/commit/43e29101
Tree: http://git-wip-us.apache.org/repos/asf/beam/tree/43e29101
Diff: http://git-wip-us.apache.org/repos/asf/beam/diff/43e29101

Branch: refs/heads/master
Commit: 43e291015b07fe8f98cb70131bb2482dfa633c7c
Parents: 996782b
Author: Stephen Sisk <si...@google.com>
Authored: Mon May 22 11:36:09 2017 -0700
Committer: Thomas Groh <tg...@google.com>
Committed: Mon May 22 13:11:03 2017 -0700

----------------------------------------------------------------------
 .../cassandra/LargeITCluster/setup.sh           | 21 ++++++++++++++++++
 .../cassandra/LargeITCluster/start-up.sh        | 22 -------------------
 .../cassandra/LargeITCluster/teardown.sh        |  1 -
 .../cassandra/SmallITCluster/setup.sh           | 22 +++++++++++++++++++
 .../cassandra/SmallITCluster/start-up.sh        | 23 --------------------
 .../cassandra/SmallITCluster/teardown.sh        |  1 -
 .../LargeProductionCluster/setup.sh             | 21 ++++++++++++++++++
 .../LargeProductionCluster/start-up.sh          | 22 -------------------
 .../LargeProductionCluster/teardown.sh          |  1 -
 .../elasticsearch/SmallITCluster/setup.sh       | 22 +++++++++++++++++++
 .../elasticsearch/SmallITCluster/start-up.sh    | 23 --------------------
 .../elasticsearch/SmallITCluster/teardown.sh    |  1 -
 12 files changed, 86 insertions(+), 94 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/LargeITCluster/setup.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/LargeITCluster/setup.sh b/.test-infra/kubernetes/cassandra/LargeITCluster/setup.sh
new file mode 100644
index 0000000..7bc0809
--- /dev/null
+++ b/.test-infra/kubernetes/cassandra/LargeITCluster/setup.sh
@@ -0,0 +1,21 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#!/bin/bash
+set -e
+
+# Create Cassandra services and statefulset.
+kubectl create -f cassandra-svc-statefulset.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/LargeITCluster/start-up.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/LargeITCluster/start-up.sh b/.test-infra/kubernetes/cassandra/LargeITCluster/start-up.sh
deleted file mode 100644
index 7341209..0000000
--- a/.test-infra/kubernetes/cassandra/LargeITCluster/start-up.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-#!/bin/bash
-set -e
-
-# Create Cassandra services and statefulset.
-kubectl create -f cassandra-service-for-local-dev.yaml
-kubectl create -f cassandra-svc-statefulset.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/LargeITCluster/teardown.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/LargeITCluster/teardown.sh b/.test-infra/kubernetes/cassandra/LargeITCluster/teardown.sh
index 367b604..3d040a6 100644
--- a/.test-infra/kubernetes/cassandra/LargeITCluster/teardown.sh
+++ b/.test-infra/kubernetes/cassandra/LargeITCluster/teardown.sh
@@ -20,6 +20,5 @@ set -e
 
 # Delete Cassandra services and statefulset.
 kubectl delete -f cassandra-svc-statefulset.yaml
-kubectl delete -f cassandra-service-for-local-dev.yaml
 # Delete the persistent storage media for the PersistentVolumes
 kubectl delete pvc -l app=cassandra

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/SmallITCluster/setup.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/SmallITCluster/setup.sh b/.test-infra/kubernetes/cassandra/SmallITCluster/setup.sh
new file mode 100644
index 0000000..fad6df0
--- /dev/null
+++ b/.test-infra/kubernetes/cassandra/SmallITCluster/setup.sh
@@ -0,0 +1,22 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#!/bin/bash
+set -e
+
+# Create Cassandra services and Replication controller.
+kubectl create -f cassandra-svc-rc.yaml
+

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/SmallITCluster/start-up.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/SmallITCluster/start-up.sh b/.test-infra/kubernetes/cassandra/SmallITCluster/start-up.sh
deleted file mode 100644
index 9377a9c..0000000
--- a/.test-infra/kubernetes/cassandra/SmallITCluster/start-up.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-#!/bin/bash
-set -e
-
-# Create Cassandra services and Replication controller.
-kubectl create -f cassandra-service-for-local-dev.yaml
-kubectl create -f cassandra-svc-rc.yaml
-

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/cassandra/SmallITCluster/teardown.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/cassandra/SmallITCluster/teardown.sh b/.test-infra/kubernetes/cassandra/SmallITCluster/teardown.sh
index f4ad0be..f538a75 100644
--- a/.test-infra/kubernetes/cassandra/SmallITCluster/teardown.sh
+++ b/.test-infra/kubernetes/cassandra/SmallITCluster/teardown.sh
@@ -19,4 +19,3 @@ set -e
 
 # Delete Cassandra services and Replication controller.
 kubectl delete -f cassandra-svc-rc.yaml
-kubectl delete -f cassandra-service-for-local-dev.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/setup.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/setup.sh b/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/setup.sh
new file mode 100644
index 0000000..9fbb6c3
--- /dev/null
+++ b/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/setup.sh
@@ -0,0 +1,21 @@
+#    Licensed to the Apache Software Foundation (ASF) under one or more
+#    contributor license agreements.  See the NOTICE file distributed with
+#    this work for additional information regarding copyright ownership.
+#    The ASF licenses this file to You under the Apache License, Version 2.0
+#    (the "License"); you may not use this file except in compliance with
+#    the License.  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing, software
+#    distributed under the License is distributed on an "AS IS" BASIS,
+#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#    See the License for the specific language governing permissions and
+#    limitations under the License.
+#
+
+#!/bin/sh
+set -e
+
+# Create Elasticsearch services and deployments.
+kubectl create -f es-services-deployments.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/start-up.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/start-up.sh b/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/start-up.sh
deleted file mode 100644
index 93022c7..0000000
--- a/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/start-up.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-#    Licensed to the Apache Software Foundation (ASF) under one or more
-#    contributor license agreements.  See the NOTICE file distributed with
-#    this work for additional information regarding copyright ownership.
-#    The ASF licenses this file to You under the Apache License, Version 2.0
-#    (the "License"); you may not use this file except in compliance with
-#    the License.  You may obtain a copy of the License at
-#
-#       http://www.apache.org/licenses/LICENSE-2.0
-#
-#    Unless required by applicable law or agreed to in writing, software
-#    distributed under the License is distributed on an "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#    See the License for the specific language governing permissions and
-#    limitations under the License.
-#
-
-#!/bin/sh
-set -e
-
-# Create Elasticsearch services and deployments.
-kubectl create -f elasticsearch-service-for-local-dev.yaml
-kubectl create -f es-services-deployments.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/teardown.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/teardown.sh b/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/teardown.sh
index bdc9ab9..18568a3 100644
--- a/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/teardown.sh
+++ b/.test-infra/kubernetes/elasticsearch/LargeProductionCluster/teardown.sh
@@ -18,4 +18,3 @@ set -e
 
 # Delete elasticsearch services and deployments.
 kubectl delete -f es-services-deployments.yaml
-kubectl delete -f elasticsearch-service-for-local-dev.yaml

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/SmallITCluster/setup.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/SmallITCluster/setup.sh b/.test-infra/kubernetes/elasticsearch/SmallITCluster/setup.sh
new file mode 100644
index 0000000..e8cf275
--- /dev/null
+++ b/.test-infra/kubernetes/elasticsearch/SmallITCluster/setup.sh
@@ -0,0 +1,22 @@
+#    Licensed to the Apache Software Foundation (ASF) under one or more
+#    contributor license agreements.  See the NOTICE file distributed with
+#    this work for additional information regarding copyright ownership.
+#    The ASF licenses this file to You under the Apache License, Version 2.0
+#    (the "License"); you may not use this file except in compliance with
+#    the License.  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing, software
+#    distributed under the License is distributed on an "AS IS" BASIS,
+#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#    See the License for the specific language governing permissions and
+#    limitations under the License.
+#
+
+#!/bin/sh
+set -e
+
+# Create Elasticsearch services and deployments.
+kubectl create -f elasticsearch-svc-rc.yaml
+

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/SmallITCluster/start-up.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/SmallITCluster/start-up.sh b/.test-infra/kubernetes/elasticsearch/SmallITCluster/start-up.sh
deleted file mode 100644
index 2d6522e..0000000
--- a/.test-infra/kubernetes/elasticsearch/SmallITCluster/start-up.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#    Licensed to the Apache Software Foundation (ASF) under one or more
-#    contributor license agreements.  See the NOTICE file distributed with
-#    this work for additional information regarding copyright ownership.
-#    The ASF licenses this file to You under the Apache License, Version 2.0
-#    (the "License"); you may not use this file except in compliance with
-#    the License.  You may obtain a copy of the License at
-#
-#       http://www.apache.org/licenses/LICENSE-2.0
-#
-#    Unless required by applicable law or agreed to in writing, software
-#    distributed under the License is distributed on an "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#    See the License for the specific language governing permissions and
-#    limitations under the License.
-#
-
-#!/bin/sh
-set -e
-
-# Create Elasticsearch services and deployments.
-kubectl create -f elasticsearch-service-for-local-dev.yaml
-kubectl create -f elasticsearch-svc-rc.yaml
-

http://git-wip-us.apache.org/repos/asf/beam/blob/43e29101/.test-infra/kubernetes/elasticsearch/SmallITCluster/teardown.sh
----------------------------------------------------------------------
diff --git a/.test-infra/kubernetes/elasticsearch/SmallITCluster/teardown.sh b/.test-infra/kubernetes/elasticsearch/SmallITCluster/teardown.sh
index 61c079f..079141d 100644
--- a/.test-infra/kubernetes/elasticsearch/SmallITCluster/teardown.sh
+++ b/.test-infra/kubernetes/elasticsearch/SmallITCluster/teardown.sh
@@ -18,4 +18,3 @@ set -e
 
 # Delete elasticsearch services and deployments.
 kubectl delete -f elasticsearch-svc-rc.yaml
-kubectl delete -f elasticsearch-service-for-local-dev.yaml